Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryDomainNSLimit

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryMinMax
          com.verisign.epp.codec.registry.EPPRegistryDomainNSLimit

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryDomainNSLimit

extends EPPRegistryMinMax

DOCUMENT ME!

Version:
  $Revision: 1.2 $
Author:
  $author$
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` DOCUMENT ME!

Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMax
`ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH, elmMax, elmMin, max, min, rootName`

Constructor Summary
`EPPRegistryDomainNSLimit()` Creates a new EPPRegistryDomainNSLimit object.
`EPPRegistryDomainNSLimit(java.lang.Integer min, java.lang.Integer max)` Creates a new EPPRegistryDomainNSLimit object.
`EPPRegistryDomainNSLimit(int min, int max)` Creates a new EPPRegistryDomainNSLimit object.

Method Summary
`boolean` | `equals(java.lang.Object aObject)` DOCUMENT ME!

Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMax
`clone, decode, encode, getElmMax, getElmMin, getMax, getMin, getRootName, setElmMax, setElmMin, setMax, setMin, setRootName, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryDomainNSLimit

    public EPPRegistryDomainNSLimit()

  Creates a new EPPRegistryDomainNSLimit object.

### EPPRegistryDomainNSLimit

    public EPPRegistryDomainNSLimit(java.lang.Integer min,
                                    java.lang.Integer max)

  Creates a new EPPRegistryDomainNSLimit object.

  Parameters:
    `min` - DOCUMENT ME!
    `max` - DOCUMENT ME!

### EPPRegistryDomainNSLimit

    public EPPRegistryDomainNSLimit(int min,
                                    int max)

  Creates a new EPPRegistryDomainNSLimit object.

  Parameters:
    `min` - DOCUMENT ME!
    `max` - DOCUMENT ME!

Method Detail

### equals

    public boolean equals(java.lang.Object aObject)

  DOCUMENT ME!

  Overrides:
    `equals` in class `EPPRegistryMinMax`
  Parameters:
    `aObject` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.